<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {

    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up() {
        if (!Schema::hasColumn('subscriber_imports', 'deleted_duplicates')) {
                Schema::table('subscriber_imports', function (Blueprint $table) {
                     $table->integer('deleted_duplicates')->nullable()->default(0);
                });
            }
       
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down() {
        if (Schema::hasColumn('subscriber_imports', 'deleted_duplicates')) {
                Schema::table('subscriber_imports', function (Blueprint $table) {
                      $table->dropColumn('deleted_duplicates');
                });
        }
    }

}
;
